ru.yandex.clickhouse.util.guava

## Class StreamUtils

- java.lang.Object
- - ru.yandex.clickhouse.util.guava.StreamUtils

    public class StreamUtils
    extends Object

### Field Summary

Fields
`static Charset` `UTF_8`

### Constructor Summary

Constructors
Constructor and Description
`StreamUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `close(Closeable closeable)`
`static void` `close(ResultSet rs)`
`static long` `copy(InputStream from, OutputStream to)`
`static byte[]` `toByteArray(InputStream in)`
`static String` `toString(InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UTF_8

    public static final Charset UTF_8

### Constructor Detail

#### StreamUtils

    public StreamUtils()

### Method Detail

#### toString

    public static String toString(InputStream in)
                           throws IOException

Throws:
  `IOException`

#### toByteArray

    public static byte[] toByteArray(InputStream in)
                              throws IOException

Throws:
  `IOException`

#### copy

    public static long copy(InputStream from,
                            OutputStream to)
                     throws IOException

Throws:
  `IOException`

#### close

    public static void close(Closeable closeable)

#### close

    public static void close(ResultSet rs)